Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/common/common.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/common/common.xsl	(revision fd7e0ed692bd58379a16bc5b7c1c5c472f013f6b)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/common/common.xsl	(revision 410e228bb92f0d8b31d74534aa505b80c8f96b36)
@@ -366,5 +366,5 @@
          (parsect  (ancestor-member node (section-element-list)))
 
-         (defnum   (if (and %qanda-inherit-numeration% 
+         (defnum   (if (and %qanda-inherit-numeration%
                             %section-autolabel%)
                        (if (node-list-empty? parsect)
@@ -373,9 +373,9 @@
                        ""))
 
-         (hnumber  (let loop ((numlist hnr) (number defnum) 
+         (hnumber  (let loop ((numlist hnr) (number defnum)
                               (sep (if (equal? defnum "") "" ".")))
                      (if (null? numlist)
                          number
-                         (loop (cdr numlist) 
+                         (loop (cdr numlist)
                                (string-append number
                                               sep
@@ -383,5 +383,5 @@
                                "."))))
          (cnumber  (child-number (parent node)))
-         (number   (string-append hnumber 
+         (number   (string-append hnumber
                                   (if (equal? hnumber "")
                                       ""
@@ -822,5 +822,5 @@
 the "right" object.</para>
 
-<para>This template relies on a template named 
+<para>This template relies on a template named
 "select.mediaobject.index" to determine which object
 in the list is appropriate.</para>
@@ -895,5 +895,5 @@
 <varlistentry><term>count</term>
 <listitem>
-<para>The position in the list currently being considered by the 
+<para>The position in the list currently being considered by the
 recursive process.</para>
 </listitem>
@@ -915,36 +915,36 @@
   <xsl:choose>
     <!-- Test for objects preferred by role -->
-    <xsl:when test="$use.role.for.mediaobject != 0 
+    <xsl:when test="$use.role.for.mediaobject != 0
                and $preferred.mediaobject.role != ''
-               and $olist[@role = $preferred.mediaobject.role]"> 
+               and $olist[@role = $preferred.mediaobject.role]">
 
       <!-- Get the first hit's position index -->
       <xsl:for-each select="$olist">
         <xsl:if test="@role = $preferred.mediaobject.role and
-             not(preceding-sibling::*[@role = $preferred.mediaobject.role])"> 
-          <xsl:value-of select="position()"/> 
+             not(preceding-sibling::*[@role = $preferred.mediaobject.role])">
+          <xsl:value-of select="position()"/>
         </xsl:if>
       </xsl:for-each>
     </xsl:when>
 
-    <xsl:when test="$use.role.for.mediaobject != 0 
+    <xsl:when test="$use.role.for.mediaobject != 0
                and $olist[@role = $stylesheet.result.type]">
       <!-- Get the first hit's position index -->
       <xsl:for-each select="$olist">
-        <xsl:if test="@role = $stylesheet.result.type and 
-              not(preceding-sibling::*[@role = $stylesheet.result.type])"> 
-          <xsl:value-of select="position()"/> 
+        <xsl:if test="@role = $stylesheet.result.type and
+              not(preceding-sibling::*[@role = $stylesheet.result.type])">
+          <xsl:value-of select="position()"/>
         </xsl:if>
       </xsl:for-each>
     </xsl:when>
     <!-- Accept 'html' for $stylesheet.result.type = 'xhtml' -->
-    <xsl:when test="$use.role.for.mediaobject != 0 
+    <xsl:when test="$use.role.for.mediaobject != 0
                and $stylesheet.result.type = 'xhtml'
                and $olist[@role = 'html']">
       <!-- Get the first hit's position index -->
       <xsl:for-each select="$olist">
-        <xsl:if test="@role = 'html' and 
-              not(preceding-sibling::*[@role = 'html'])"> 
-          <xsl:value-of select="position()"/> 
+        <xsl:if test="@role = 'html' and
+              not(preceding-sibling::*[@role = 'html'])">
+          <xsl:value-of select="position()"/>
         </xsl:if>
       </xsl:for-each>
@@ -953,5 +953,5 @@
     <!-- If no selection by role, and there is only one object, use it -->
     <xsl:when test="count($olist) = 1 and $count = 1">
-      <xsl:value-of select="$count"/> 
+      <xsl:value-of select="$count"/>
     </xsl:when>
 
@@ -967,5 +967,5 @@
                             and $object/@role='tex' and $stylesheet.result.type = 'fo'
                             and $tex.math.in.alt != ''">
-              <xsl:text>1</xsl:text> 
+              <xsl:text>1</xsl:text>
             </xsl:when>
             <!-- The phrase is never used -->
@@ -984,7 +984,7 @@
               <xsl:text>1</xsl:text>
             </xsl:when>
-            <!-- don't use graphic when output is FO, TeX Math is used 
+            <!-- don't use graphic when output is FO, TeX Math is used
                  and there is math in alt element -->
-            <xsl:when test="$object/ancestor::equation and 
+            <xsl:when test="$object/ancestor::equation and
                             $object/ancestor::equation/alt[@role='tex']
                             and $stylesheet.result.type = 'fo'
@@ -1677,5 +1677,5 @@
       <xsl:with-param name="filename">
         <xsl:call-template name="xml.base.dirs">
-          <xsl:with-param name="base.elem" 
+          <xsl:with-param name="base.elem"
                           select="$filename/ancestor-or-self::*
                                    [@xml:base != ''][1]"/>
@@ -1721,10 +1721,10 @@
   <xsl:param name="base.elem" select="NONODE"/>
 
-  <!-- Recursively resolve xml:base attributes, up to a 
+  <!-- Recursively resolve xml:base attributes, up to a
        full path with : in uri -->
   <xsl:if test="$base.elem/ancestor::*[@xml:base != ''] and
                 not(contains($base.elem/@xml:base, ':'))">
     <xsl:call-template name="xml.base.dirs">
-      <xsl:with-param name="base.elem" 
+      <xsl:with-param name="base.elem"
                       select="$base.elem/ancestor::*[@xml:base != ''][1]"/>
     </xsl:call-template>
